#
# spec file for package diff-pdf
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           diff-pdf
Version:        0.5
Release:        2.10
Summary:        Simple PDF comparison tool
License:        GPL-2.0-only AND LGPL-2.0-only
Group:          Productivity/Publishing/PDF
URL:            https://vslavik.github.io/diff-pdf/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.1
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  wxWidgets-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-pdf)
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(poppler-glib)

%description
diff-pdf is a simple tool for comparing two PDF files.

%prep
%autosetup

%build
./bootstrap
%configure
%make_build

%install
%make_install

#help2man -N -n "%%{summary}" --version-string="%%{version}" --no-discard-stderr \
#	  -o %%{buildroot}%%{_mandir}/man1/%%{name}.1 %%{buildroot}%%{_bindir}/%%{name}
install -D -m 0644 -t %{buildroot}%{_mandir}/man1/ %{SOURCE1}

%files
%license COPYING COPYING.icons
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Mon Feb 13 2023 munix9@googlemail.com
- Pre-create diff-pdf.1 with help2man to work around GTK+ DISPLAY
  errors (boo#1180471)
* Wed Apr 28 2021 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.5:
  * Reflect renaming of package from Ubuntu 20.10 on
  * Increase version to v0.5
  * Add --grayscale option
  * Show default DPI value used in --help output
  * Remove code for old versions of glib and wxWidgets
  * Tiny code formatting fixes
  * Add rasterization DPI option (#71)
  * AppVeyor: fix MSYS2 build
  * Remove legacy poppler-cairo dependency (#69)
  * Add instructions for installing on Fedora and CentOS 8 (#66)
- Drop no longer needed fix-find-poppler.patch
- Switch to obs scm _service
* Thu Dec 31 2020 munix9@googlemail.com
- Pre-create diff-pdf.1 with help2man to work around GTK+ DISPLAY
  errors (boo#1180471)
* Tue Dec 29 2020 munix9@googlemail.com
- Update to version 0.4.1
  Fixes some bugs (#64, #65) that crept into 0.4.
  All users of 0.4 should update.
- Update to version 0.4
  Added new useful options contributed by @fatalmind:
  - -skip-identical    only outputs pages with actual differences
  - -channel-tolerance makes it easy to ignore tiny differences
  - -mark-differences  adds visual markers to the margin to
    highlight where small changes are
- Add fix-find-poppler.patch
- Add man page with help2man
- Clean up spec file
* Sat Jun 18 2016 mpluskal@suse.com
- Fix building with gcc6 (boo#985353)
- Use safer ldflags
* Sun May 29 2016 mpluskal@suse.com
- Cleanup spec file and update dependencies
* Tue Mar 25 2014 wagner-thomas@gmx.at
  + initial compilation
-
